# Generated by Django 4.2.1 on 2023-05-12 12:45

import django.core.validators
from django.core.validators import RegexValidator, MaxValueValidator
from django.db import migrations, models

from pairent_app.models import User

class Migration(migrations.Migration):

    dependencies = [
        ('pairent_app', '0004_apartament_lastprice'),
    ]

    operations = [
        migrations.CreateModel(
            name='User',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('favorites_apartments', models.CharField(max_length=100, help_text="Избранные квартиры (CSV)", null=True)),
                ('comparison_apartments', models.CharField(max_length=100, help_text="Квартиры для сравнения (CSV)", null=True)),
                ('test_results', models.JSONField(help_text="Результаты психологического теста(JSON)", null=True)),
                ('name', models.CharField(max_length=500, help_text='ФИО Пользователя', null=True)),
                ('date_of_birth', models.DateField(help_text='Дата рождения пользователя', null=True)),
                ('about_me', models.CharField(max_length=1000, help_text='Поле "О Себе"', null=True)),
                ('gender', models.CharField(max_length=1, help_text='Пол пользователя (f,m,n,?)', null=True)),
                ('phone', models.CharField(max_length=30, help_text='Телефон пользователя в международном формате (+00000000)', null=True)),
                ('email', models.CharField(max_length=1000, help_text='Почтовый ящик пользователя в формате user@example.com', null=True)),
                ('telegram', models.CharField(max_length=1000, help_text='Телеграм пользователя', null=True)),
                ('discord', models.CharField(max_length=1000, help_text='Дискорд ник пользователя', null=True)),
                ('city', models.CharField(max_length=1000, help_text='Город пользователя', null=True)),
                ('role', models.CharField(max_length=1, help_text='Роль пользователя (s - student, a - admin, m - moderator)', null=False)),
                ('photo_provider', models.CharField(max_length=100, verbose_name='Сервис, из которого загружается фотография пользователя (VVSU, GRAVATAR)', null=True)),

                ('openid_addr', models.CharField(max_length=1000, null=False, help_text='Адрес Open ID Connect (login@provider.com, для ВВГУ - login@vvsu.ru)')),
                ('openid_id', models.CharField(max_length=5000, null=False, verbose_name='ID Пользователя в системе провайдера авторизации (скорее всего ВВГУ)'))
            ]
        ),
        migrations.CreateModel(
            name='AuthToken',
            fields=[
                ('user', models.BigIntegerField(null=False, verbose_name='ID Пользователя, которому принадлежит токен')),
                ('key', models.TextField(verbose_name='Ключ API')),
                ('expires', models.BigIntegerField(verbose_name='Когда ключ истечет (Unix timestamp)')),
                ('ip', models.CharField(max_length=16, verbose_name='IP, с которого был создан ключ'))
            ]
        )
    ]
